#
/*
 *
 *    Copyright (C) 2008, 2009, 2010
 *    Jan van Katwijk (J.vanKatwijk@gmail.com)
 *    JFF Consultancy
 *
 *    This file is part of the JFF SDR (JSDR).
 *    Many of the ideas as implemented in JSDR are derived from
 *    other work, made available through the GNU general Public License. 
 *    All copyrights of the original authors are recognized.
 *
 *    JSDR is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    JSDR is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with JSDR; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __SW_CONSTANTS
#define	__SW_CONSTANTS

/*
 *	Tested to be powers of 2
 */
#ifdef __MINGW32__
#define	FE_DISPLAYSIZE		512
#else
#define	FE_DISPLAYSIZE		1024
#endif

#define	RASTER			50

#define	MISERY		"/tmp/misery"
#define	BASE		getenv ("HOME");
#define	DEFAULT_INI	".jsdr-sw.ini"

#define	MSECFORTIMER	10
#ifdef __MINGW32__
#define	SPECTRUM_SIZE_FRONT	1024
#define	SPECTRUM_SIZE_BACK	1024
#define	REPEAT_RATE	9
#else		// Linux apparently
#define	SPECTRUM_SIZE_FRONT	4096
#define	SPECTRUM_SIZE_BACK	1024
#define	REPEAT_RATE	12
#endif

#endif

