#
/*
 *
 *    Copyright (C) 2008, 2009, 2010
 *    Jan van Katwijk (J.vanKatwijk@gmail.com)
 *    JFF Consultancy
 *
 *    This file is part of the JFF SDR (JSDR).
 *    Many of the ideas as implemented in JSDR are derived from
 *    other work, made available through the GNU general Public License. 
 *    All copyrights of the original authors are recognized.
 *
 *    JSDR is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    JSDR is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with JSDR; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include	"virtual_tuner.h"

		virtual_tuner:: virtual_tuner	(void) {
	correction	= 0;
}

		virtual_tuner::~virtual_tuner	(void) {
}

int32_t		virtual_tuner::init		(void) {
	return -1;
}

int32_t		virtual_tuner::exit		(void) {
	return -1;
}

int32_t		virtual_tuner::tune		(uint32_t f) {
	Frequency	= f;
	return -1;
}

int32_t		virtual_tuner::get_frequency	(void) {
	return Frequency;
}

int32_t		virtual_tuner::set_bw		(int32_t f) {
	(void)f;
	return -1;
}

int32_t		virtual_tuner::set_gain		(int32_t gain) {
	this	-> gain	= gain;
	return	0;
}

int32_t		virtual_tuner::get_gain		(void) {
	return gain;
}

int32_t		virtual_tuner::set_correction	(int32_t correction) {
	this	-> correction	= correction;
	return 0;
}

int32_t		virtual_tuner::get_correction	(void) {
	return correction;
}


bool		virtual_tuner::legalFrequency	(uint32_t f) {
	return false;
}

